GETWCHAR(3)

NAME
getwchar - read a wide character from standard input

SYNOPSIS
#include <wchar.h>

wint_t getwchar (void);

DESCRIPTION
The getwchar function is the wide-character equivalent of the getchar function. It reads a wide character from stdin and returns it. If the end of stream is reached, or if ferror(stdin) becomes true, it returns WEOF. If a wide character conversion error occurs, it sets errno to EILSEQ and returns WEOF.

RETURN VALUE
The getwchar function returns the next wide-character from standard input, or WEOF.

CONFORMING TO
ISO/ANSI C, UNIX98

SEE ALSO
fgetwc(3)

NOTES
The behaviour of getwchar depends on the LC_CTYPE category of the current locale.

It is reasonable to expect that getwchar will actually read a multibyte sequence from standard input and then convert it to a wide character.